1 SODA for Java Prerequisites

Before you can use SODA for Java you must configure your Java environment.

To use SODA for Java with Oracle Database:

  • You must have one of the following Oracle Database releases installed:

    • Oracle Database 12c Release 2 (12.2) or later (no patches required)

    • Oracle Database 12c Release 1 (12.1.0.2) with Merge Label Request (MLR) bundle patch 20885778 (patch 20885778 obsoletes patch 20080249)

      Obtain this patch from My Oracle Support (My Oracle Support). Select tab Patches & Updates. Search for the patch number, 20885778, or access it directly at this URL: https://support.oracle.com/rs?type=patch&id=20885778.

  • You must have Java Runtime Environment 1.6 (JRE 1.6) or higher.

  • The following Java archive (JAR) files must be either in your CLASSPATH environment variable or passed using command-line option classpath:

    • orajsoda.jar (SODA for Java RDBMS implementation). Obtain the latest version at SODA for Java Releases .

    • ojdbc6.jar or higher (the Oracle JDBC JAR file that is shipped with Oracle Database 12c Release 1 (12.1.0.2)). For best results use the JAR file that corresponds to your JRE version: ojdbc8.jar for JRE 1.8, and so on.

    • javax.json-1.0.4.jar (JSR353: the Java API for JSON processing)